.TH HG PURGE  "" "" ""
.SH NAME
hg purge \- removes files not tracked by Mercurial
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg purge [OPTION]... [DIR]...
.ft P
.fi
.SH DESCRIPTION
.sp
Delete files not known to Mercurial. This is useful to test local
and uncommitted changes in an otherwise\-clean source tree.
.sp
This means that purge will delete the following by default:
.INDENT 0.0
.IP \(bu 2
.
Unknown files: files marked with "?" by \%\fBhg status\fP\:
.IP \(bu 2
.
Empty directories: in fact Mercurial ignores directories unless
they contain files under source control management
.UNINDENT
.sp
But it will leave untouched:
.INDENT 0.0
.IP \(bu 2
.
Modified and unmodified tracked files
.IP \(bu 2
.
Ignored files (unless \-i or \-\-all is specified)
.IP \(bu 2
.
New files added to the repository (with \%\fBhg add\fP\:)
.UNINDENT
.sp
The \-\-files and \-\-dirs options can be used to direct purge to delete
only files, only directories, or both. If neither option is given,
both will be deleted.
.sp
If directories are given on the command line, only files in these
directories are considered.
.sp
Be careful with purge, as you could irreversibly delete some files
you forgot to add to the repository. If you only want to print the
list of files that this program would delete, use the \-\-print
option.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-a,  \-\-abort\-on\-err
.
abort if an error occurs
.TP
.B \-\-all
.
purge ignored files too
.TP
.B \-i,  \-\-ignored
.
purge only ignored files
.TP
.B \-\-dirs
.
purge empty directories
.TP
.B \-\-files
.
purge files
.TP
.B \-p,  \-\-print
.
print filenames instead of deleting them
.TP
.B \-0,  \-\-print0
.
end filenames with NUL, for use with xargs (implies \-p/\-\-print)
.TP
.B \-\-confirm
.
ask before permanently deleting files
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
clean
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
